Summary:	A tetris clone for Linux
Summary(pl.UTF-8):	Klon tetrisa dla Linuksa
Name:		ltris
Version:	1.0.19
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/lgames/%{name}-%{version}.tar.gz
# Source0-md5:	63486b90e59699823f7093bc9ab87725
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-inline.patch
URL:		http://lgames.sourceforge.net/LTris
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	SDL-devel >= 1.2.4
BuildRequires:	SDL_mixer-devel
BuildRequires:	gettext-tools
Requires:	SDL >= 1.2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/games

%description
LTris is a clone of the Tetris game for Linux. It uses a SDL library.

%description -l pl.UTF-8
LTris jest klonem gry Tetris dla Linuksa. Korzysta z biblioteki SDL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(2755,root,games) %{_bindir}/ltris
%{_desktopdir}/ltris.desktop
%{_pixmapsdir}/ltris48.gif
%{_datadir}/ltris
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) /var/games/ltris.hscr
%changelog
* Wed Sep 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ltris.git;a=log;h=master

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> a13491f
- added inline patch (remove incorrectly used inline), release 2

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> a4e53c9
- updated to 1.0.19
- use upstream .desktop file and icon (with desktop patch)
- sgid games for high scores to work

* Mon Oct 31 2011 Zsolt Udvari <uzsolt@pld-linux.org> e8db3f3
- 1.0.18

* Fri Aug 26 2011 lisu <lisu@pld-linux.org> 68c1413
- 1.0.17

* Fri Mar 04 2011 lisu <lisu@pld-linux.org> 519124d
- up to 1.0.16

* Tue Sep 21 2010 lisu <lisu@pld-linux.org> b2bddca
- up to 1.0.15
- adapterized
- more verbose files

* Thu Nov 12 2009 Krzysztof Goliński <dirdival@pld-linux.org> 4efd88e
- up to 1.0.13

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 072af37
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4ed25fc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3f9e400
- converted to UTF-8

* Thu Nov 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 585822c
- updated to 1.0.11

* Sat Feb 19 2005 Jakub Bogusz <qboosh@pld-linux.org> a0da1b8
- updated to 1.0.107

* Sun Feb 06 2005 Adam Gołębiowski <adamg@pld-linux.org> 9b28bde
- updated to 1.0.9

* Sun Jul 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 25dc816
- updated to 1.0.7

* Mon Feb 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 6cd74dc
- uh. updated to 1.0.6

* Mon Feb 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 5011d6c
- switched to desktopdir, fixed BRs, release 2 for Ac

* Mon Feb 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 2533726
- added Categories

* Mon Feb 02 2004 Jakub Bogusz <qboosh@pld-linux.org> 38539d8
- s/Linuxa/Linuksa/

* Tue Dec 30 2003 ankry <ankry@pld-linux.org> 2df8e08
- typos, encoding fixes, added vi-line, etc.

* Sun Nov 23 2003 saq <saq@pld-linux.org> 58e2656
- added Encoding=UTF-8 as requires by freedesktop

